Name:           gchempaint
Version:        0.6.9
Release:        1%{?dist}
Summary:        A 2D chemical formulae drawing tool

Group:          Applications/Engineering
License:        GPL
URL:            http://www.nongnu.org/gchempaint/
Source0:        http://download.savannah.nongnu.org/releases/gchempaint/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gnome-chemistry-utils-devel
BuildRequires:  scrollkeeper
BuildRequires:  gnome-doc-utils
BuildRequires:  perl(XML::Parser)
BuildRequires:  libbonoboui-devel
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
BuildRequires:  kdelibs
Requires:       hicolor-icon-theme

Requires(pre):  GConf2
Requires(post): GConf2
Requires(preun): GConf2

Requires(post): scrollkeeper
Requires(postun): scrollkeeper

%description
GChemPaint is a 2D chemical structures editor for the Gnome-2 desktop.
GChemPaint is a multi document application and is a bonobo server so that some
chemistry can be embedded in other Gnome applications.

#disable -devel package for now
#%package        devel
#Summary:        Development package for %{name}
#Group:          Development/Libraries
#Requires:       %{name} = %{version}-%{release}
#Requires:       gnome-chemistry-utils-devel
#Requires:       libbonoboui-devel

#%description    devel
#GChemPaint is a 2D chemical structures editor for the Gnome-2 desktop.
#GChemPaint is a multi document application and is a bonobo server so that some
#chemistry can be embedded in other Gnome applications. This package contains
#development files for %{name}


%prep
%setup -q


%build
%configure --disable-update-databases \
           --disable-schemas-install \
           --disable-scrollkeeper
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make INSTALL="install -p" install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install --vendor=fedora \
       --delete-original --dir $RPM_BUILD_ROOT%{_datadir}/applications \
       $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
%find_lang %{name}

#kill libtool archives
rm -f $RPM_BUILD_ROOT%{_libdir}/gchempaint/plugins/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/libgchempaint.la

#kill headers and .so file for now, until undefined non-weak symbols issue is fixed
rm -rf $RPM_BUILD_ROOT%{_includedir}/gchempaint
rm -f $RPM_BUILD_ROOT%{_libdir}/libgchempaint.so


%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/gchempaint-arrows.schemas >/dev/null || :
    # If the schema file has ever been renamed::
    #gconftool-2 --makefile-uninstall-rule \
    #  %{_sysconfdir}/gconf/schemas/[OLDNAME].schemas > /dev/null || :
    killall -HUP gconfd-2 || :
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/gchempaint-arrows.schemas > /dev/null || :
killall -HUP gconfd-2 || :
update-desktop-database &> /dev/null ||:
update-mime-database %{_datadir}/mime &> /dev/null || :
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
/sbin/ldconfig

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/gchempaint-arrows.schemas > /dev/null || :
    killall -HUP gconfd-2 || :
fi

%postun
update-desktop-database &> /dev/null ||:
update-mime-database %{_datadir}/mime &> /dev/null || :
scrollkeeper-update -q || :
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
/sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING COPYING-DOCS INSTALL NEWS README TODO
%{_bindir}/gchempaint
%{_bindir}/gchempaint-viewer
%{_libdir}/bonobo/servers/gchempaint.server
%{_libdir}/gchempaint
%{_libdir}/libgchempaint.so.*
%{_sysconfdir}/gconf/schemas/gchempaint-arrows.schemas
%{_datadir}/applications/fedora-gchempaint.desktop
%{_datadir}/gchempaint
%{_datadir}/icons/hicolor/*/apps/gchempaint.png
%{_datadir}/icons/hicolor/*/mimetypes/gnome-mime-application-x-gchempaint.png
%{_datadir}/gnome/help/gchempaint
%{_datadir}/mime/packages/gchempaint.xml
%{_datadir}/mimelnk
%{_datadir}/omf/gchempaint

#disable -devel package for now
#%files devel
#%defattr(-,root,root,-)
#%{_includedir}/gchempaint
#%{_libdir}/libgchempaint.so


%changelog
* Mon Apr  9 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.6.9-1
- Updated to 0.6.9
- Switched to bzip2 sources
- Added rpath killer

* Fri Dec 22 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.6.8-1
- Updated to 0.6.8
- Removed temporary KDE mimelnk workaround

* Thu Dec 21 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.6.7-1
- Updated to 0.6.7
- Dropped upstreamed patches
- Added temporary KDE mimelnk workaround

* Fri Dec 08 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.6.6-5
- Added upstream patch #18159, fixing AMD64 startup crash
- Disabled -devel package until undefined non-weak symbols issue is fixed
- Added hicolor-icon-theme to Requires

* Wed Dec 06 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.6.6-4
- Fixed %%changelog section
- Fixed directory ownership
- Removed pkgconfig from -devel package Requires

* Sun Dec 03 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.6.6-3
- Removed --add-category X-Fedora from desktop-file-install command
- Added some wildcards to make %%files section shorter

* Sun Dec 03 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.6.6-2
- Removed packages pulled by gnome-chemistry-utils-devel from BuildRequires
- Install desktop files using desktop-file-install
- Fixed Requires for -devel package
- Preserve timestamps

* Sat Dec 02 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.6.6-1
- Initial RPM release